<?php

/**
 *  Informatica Eindproject D4p
 *  6in3, Stedelijk Gymnasium Nijmegen
 *  Docent: Hans de Wolf
 *
 *  ==================
 *
 *  Daniel Boutros,
 *  Christiaan Goossens,
 *  Jelmer Hinssen
 */

namespace Inforbank\Application\Helper;

use Inforbank\Application;

class Rekeningen
{
    public function getCurrentUserRekeningen()
    {
        $container = Application::getContainer();
        $user = $container->auth->getUserID();

        $db = $container->db;
        $ibanhelper = new IBAN;

        $rekeningen = $db->rekeningen->where('klantid', $user);

        $returnArray = array();

        foreach ($rekeningen as $rekening) {
            $returnArray[] = array(
                "rekeningnr" => $ibanhelper->getIBAN($rekening['rekeningnr']),
                "saldo" => (double) $rekening['saldo']
            );
        }

        return $returnArray;
    }
	public function __construct(App $app)
    {
        $app->get('/rekeningen', function ($request, $response, $args) {
            // Render index view
            return $this->renderer->render($response, 'Rekeningen.phtml', $args);
        });
    }
}
